% http://www.oak-tree.us/2010/08/02/texmemo/

\documentclass[letterpaper,11pt]{texMemo}

\usepackage{graphicx}
\usepackage[cmex10]{amsmath}
\usepackage{siunitx}

\memoto{El E 461 Parking Team}
\memofrom{Barry Muldrey, Professor of Electrical Engineering}
\memosubject{Design Statement Memo}
\memodate{October 9, 2020}
\logo{\includegraphics{DesignLabLogo.pdf}}

%\setlength\parindent{0pt} % suppress paragraph indentation for entire document

\begin{document}
\maketitle
\thispagestyle{empty}% suppress page number on the first page
A critical step in the design process is writing a clear and concise statement of what is to be designed. This concise statement is included in the Design Statement Memo along with detailed information about the design requirements.
An important purpose of the Design Statement Memo is to communicate clearly to the design sponsor what the designer will do and to provide and get approval from the sponsor to proceed with the design described in the memo.

Writing the design statement memo typically occurs several weeks to a month after the design assignment has been received from the sponsor.  This delay is so that the designer (or design team) can research the design assignment and interact with the design sponsor to clarify what the sponsor wants and needs.  It also gives time for the design sponsor to answer questions about the design that the sponsor did not address in their design assignment and that they may not have considered. Often there is negotiation between the designer and the sponsor about the design goals and requirements based on the designers’ presentation of their knowledge, research and thinking about the design assignment.

In addition to a concise statement of what is to be designed, your design statement should include the following:

\subsection*{Problem Discovery Summary}
Make use of this section to tell the ``story'' of the project to this point. 
Include the major research/inquiries into the problem which informed your arrival to this moment.
Highlight major surprises and/or changes experienced on the way and explain the reasoning behind them.

\subsection*{Requirements}
\begin{enumerate}
\item A list of all the design requirements and constraints agreed upon by the sponsor and the designer.  This list could include physical constraints (e.g. the designed electronic device must fit in a 10 cm cube), precision requirements, operational requirements, parts cost constraint as well as any other requirements and constraints relevant to the design.

\item A list of all functional requirements (e.g. the device must run on batteries for 30 minutes).

\item A list of methods that will be used to test the design to be sure it meets the agreed-upon requirements and constraints.

\item A list of what the sponsor will receive at the end of the design process.  These are the deliverables. The deliverables could be just a report but would more likely include a report and a working prototype.

\end{enumerate}

\subsection*{Specifications}
\begin{enumerate}
\item This section should be used for technical planning.
\item ``Specifications'' (specs) are a way to describe the design in a slightly higher level of detail than its requirements.
\item While design requirements tend to address how the design interfaces with the outside world, the 
specs lay out the internal workings or architecture of the design.
\item Here, you should lay out a rough hierarchy of subsystems and subsubsystems, major components (no need for part nos. but ``CPU'' for example)
\item Usually, diagrams (see ``UML'') are the best way to convey system architecture and subsystems' relationships. Figure \ref{myfig} illustrates a very helpful map of a system architecture.
\end{enumerate}

\begin{figure}
	\centering
	\includegraphics[height=2in]{system-map.jpeg}
	\caption{An example system-level specification.}
	\label{myfig}
\end{figure}


\subsection*{Program Proposal}
This section describes the full life-cycle of the design with particular focus on estimating aspects of the resources required to complete the design.  Resources include manpower and money plus the use of any specialized equipment or facilities. A schedule for executing the design is another desirable inclusion.

Use this section to sketch what a successful program would look like and when it would start. Include  product trial phases / pilot programs, possible revision releases, maintenance during normal life, and finally decommissioning and waste/recycling opportunity.
From this big picture, work backwards to identify major scheduling milestones during the design phases. Once milestones are identified, loose cost-targets can be assigned to each stage of the process.

\noindent \textbf {Of course it's impossible to expect absolute precision at this phase; however, this process creates the ``map'' within which all subsequent work will be charted.}

\subsection*{References}
A list citing references in IEEE format.  Note that photographs and illustrations not taken or drawn by the memo’s authors must have their sources referenced.  Also, for information drawn from web sites, the web sites must be cited.\\

\newpage
\section*{Grading Rubric}

\begin{enumerate}
\item A clear description the design project and important details of the design group’s research and thinking about the experiments. (25 points)

\item A clear description of the design requirements and constraints. (10 points)

\item A clear description and discussion of the design ideas and plans. (10 points)
 
\item A clear description and discussion of the design project's deliverables. (10 points)

\item A proper citation of references with a reference list using citations in IEEE format.  (10 points)

\item A finished memo in the texMemo style with figures and tables properly formatted, captioned and cited, and displayed equations numbered and cited.  (10 points)

\item Finally, after reading the memo as a whole, a design sponsor would be convinced that your design is well conceived and that the probability of your group successfully building and demonstrating a working project are high. (25 points)
\end{enumerate}


%\bibliographystyle{IEEEtran}
%\bibliography{BibTeXfileExample}

\end{document}

